# see https://relabeler.promlabs.com/

global:
  scrape_interval: 1m
  scrape_timeout: 10s


scrape_configs:
  # some based on https://github.com/prometheus/prometheus/blob/main/documentation/examples/prometheus-kubernetes.yml

  - job_name: "telegraf"
    scheme: http
    kubernetes_sd_configs: [{ role: node }]
    relabel_configs:
      - source_labels: [__address__]
        regex: "(.*):(\\d+)"
        target_label: __address__
        replacement: "${1}:9273"
        action: replace
